## netkit-rsh 0.17

=== debian/changelog ===
netkit-rsh (0.17-24) unstable; urgency=medium

  * QA upload by the Reproducible Builds team.
  * d/rules: Add -ffile-prefix-map to CFLAGS to avoid embedding the build
    path, thanks to Vagrant Cascadian. Closes: #1020798

 -- Holger Levsen <holger@debian.org>  Wed, 11 Jan 2023 23:52:56 +0100

netkit-rsh (0.17-23) unstable; urgency=medium

  * Orphan package. Set maintainer to QA.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 24 Sep 2022 13:15:06 +0200

netkit-rsh (0.17-22) unstable; urgency=medium

  * d/p/cross.patch: Remove ncurses dependency (Closes: #969741)
    Thanks Helmut Grohne for the patch.
  * d/copyright: Update License short name to avoid lintian warning.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 08 Sep 2020 11:38:43 +0200

netkit-rsh (0.17-21) unstable; urgency=medium

  * Apply patch from Reiner Herrmann to fix FTBFS with GCC-9.
    (Closes: #925786).

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 14 Oct 2019 11:29:05 +0200

netkit-rsh (0.17-20) unstable; urgency=medium

  * Fix CVE-2018-20685 and CVE-2019-6111. (Closes: #920486)
    Thanks Hiroyuki YAMAMORI for the heads up.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 30 Jan 2019 17:02:34 +0100

netkit-rsh (0.17-19) unstable; urgency=medium

  [ Christoph Biedl ]
  * Move build system to cmake. (Closes: #912133)
  * Mayor cleanup in debian/

  [ Alberto Gonzalez Iniesta ]
  * Fix memory leak in rcp. Thanks Hiroyuki YAMAMORI fot the patch.
    (Closes: #889029)
  * Bumped Standards-Version to 4.2.1.
    debian/control: Set priority to optional.
    Updated debian/copyright

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 24 Dec 2018 09:12:13 +0100

netkit-rsh (0.17-18) unstable; urgency=medium

  * Switch to dpkg-source 3.0 (quilt) format
  * Moved to debhelper compat 9
  * Patched rcp.c to fix segfaults. (Closes: #366535, #888884)
    Thanks Hiroyuki YAMAMORI for the patch!

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 10 Mar 2018 12:09:02 +0100

netkit-rsh (0.17-17) unstable; urgency=medium

  * debian/rules: Make build reproducible. (Closes: #841779).
    Thanks Reiner Herrmann!

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 27 Oct 2016 14:10:40 +0200

netkit-rsh (0.17-16) unstable; urgency=medium

  * Patch from Aurelien Jarno to fix FTBFS with glibc 2.24.
    (Closes: #833970). Thanks Aurelien!

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 04 Sep 2016 20:59:32 +0200

netkit-rsh (0.17-15) unstable; urgency=low

  * Fixed /etc/pam.d/ files. (Closes: #546394, #489589)
    Also make them use common-*
  * Clean debian/rules.
  * Moved to debhelper compat 7
  * Bumped Standards-Version to 3.8.4.
  * Improved package description (Closes: #493476, #493474)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 19 Jun 2010 20:54:08 +0200

netkit-rsh (0.17-14) unstable; urgency=low

  * Patched rlogin/rlogin.c to fix FTBFS on Hurd.
    Thanks Samuel Thibault for the patch (Closes: #437417)
  * Removed '-s' from install calls in the Makefiles.
    (Closes: #437614)
  * Bumped Standards-Version to 3.7.2.2. No change
  * Moved to debhelper compatibility 4. Created debian/compat.
    Fixed debian/rules
  * rsh-server: Added dependency on inet-superserver

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 16 Aug 2007 10:55:38 +0200

netkit-rsh (0.17-13) unstable; urgency=low

  * Patched rlogin.c so that calling it as 'netkit-rlogin' will also
    work. (Closes: #279095)
  * Changed maintainer email address.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon,  8 Nov 2004 11:26:33 +0100

netkit-rsh (0.17-12) unstable; urgency=low

  * New Maintainer. (Closes: #249710)
  * Added versioned Depends on debhelper.
  * Removed uid=0 requirement to use -p switch.
    Thanks Adam Boileau for the patch. (Closes: #244788)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Wed, 19 May 2004 16:24:02 +0200

netkit-rsh (0.17-11) unstable; urgency=low

  * Added LFS support to rcp (closes: #219323).

 -- Herbert Xu <herbert@debian.org>  Wed, 19 Nov 2003 22:30:05 +1100

netkit-rsh (0.17-10) unstable; urgency=low

  * Removed build/install stamps from debian/rules.
  * Fixed address length in rexecd connect(2) call (Hiroyuki YAMAMORI).

 -- Herbert Xu <herbert@debian.org>  Fri, 19 Sep 2003 20:05:05 +1000

netkit-rsh (0.17-9) unstable; urgency=low

  * Optimised IPv4/IPv6 port number setting.
  * Fixed name verification for mapped addresses (closes: #205865).
  * Added IPv6 support for rcp (Hiroyuki YAMAMORI, closes: #205866).

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Sep 2003 21:34:56 +1000

netkit-rsh (0.17-8) unstable; urgency=low

  * Added -f option to disable Nagle in rlogind (closes: #198153).
  * Moved pam_nologin to the top of PAM files.
  * Added IPv6 support based on Thorsten Kukuk's work (closes: #165059).

 -- Herbert Xu <herbert@debian.org>  Sat, 19 Jul 2003 15:19:57 +1000

netkit-rsh (0.17-7) unstable; urgency=low

  * Added support for systems with no ARG_MAX.
  * Only do FSUID_HACK on Linux.
  * Allocate path dynamically in rcp.
  * Use ttyname(3) to in rlogind.
  * Conditionalised OCRNL/TABDLY/TAB3 on the Hurd.
  * rlogind -a is now always turned on.  The local_domain check was bogus as
    gethostname(2) on Linux does not return a domain name.  This should be
    removed eventually as tcpd checks this anyway.
  * The above changes were based on a patch by Robert Millan (closes: #169251).

 -- Herbert Xu <herbert@debian.org>  Sun, 17 Nov 2002 13:25:04 +1100

netkit-rsh (0.17-6) unstable; urgency=low

  * Do chdir after setuid in rexecd (Loïc Lefort, closes: #119473).
  * Added -p option to rlogin(1) (closes: #114446).

 -- Herbert Xu <herbert@debian.org>  Wed, 14 Nov 2001 19:00:59 +1100

netkit-rsh (0.17-5) unstable; urgency=low

  * Added -i option to rlogin (Russell Coker, closes: #102172).
  * Added PAM environment support in rexecd (closes: #101334).

 -- Herbert Xu <herbert@debian.org>  Tue, 26 Jun 2001 22:39:00 +1000


