=== debian/control ===
Source: netkit-rsh
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 10~), libpam-dev, cmake

Package: rsh-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50)
Replaces: netstd
Description: client programs for remote shell connections
 This package contains rsh, rcp and rlogin.

Package: rsh-server
Architecture: any
Depends: openbsd-inetd | inet-superserver, ${shlibs:Depends}, ${misc:Depends}
Replaces: netstd
Description: server program for remote shell connections
 This package contains rexecd, rlogind and rshd.
